// C++ Implementation: addPlatform
//
// Description: implementation of the add platform dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#include "addplatform.h"
#include "addplatform.moc"

#include <klocale.h>
#include <qlayout.h>
#include <qlabel.h>

using namespace nbs;
using namespace dialog;

AddPlatform::AddPlatform(QWidget* parent, const char* name)
	: KDialogBase(parent, name, true, i18n("Add Platform"), Ok | Cancel) {

	QFrame* topFrame = makeMainWidget();

}

AddPlatform::~AddPlatform() {

}

QString AddPlatform::platformName() const {
	return name;
}

QString AddPlatform::platformTarget() const {
	return target;
}
