// C++ Interface: addProject
//
// Description: add project dialog dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//
#ifndef ADDPROJECT_H
#define ADDPROJECT_H

#include <kdialogbase.h>

class KLineEdit;
class KTextEdit;

namespace nbs {
namespace dialog {

class AddProject : public KDialogBase {
Q_OBJECT
public:
	AddProject(QWidget* parent = 0, const char* name = 0);
	~AddProject();

	QString projectName() const;
	QString projectTitle() const;
	QString projectDescription() const;

private slots:
	void enableAddButton();

private:
	KLineEdit* lineEditTitle;
	KLineEdit* lineEditName;
	KTextEdit* textEditDescription;
};

}}
#endif
