// C++ Interface: iPrefDlg
//
// Description: Preference dialogue subclass interface
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef IPREFDLG_H
#define IPREFDLG_H

#include <qstring.h>
#include <qobject.h>

#include "dlgpref.h"

namespace nbs {

class IPrefDlg : public PrefDlg {
Q_OBJECT
public:
	IPrefDlg(QWidget*, const char*, bool, WFlags);
	~IPrefDlg();

public slots:
	void buttonPrefAccept_clicked();
	void buttonPrefCancel_clicked();

private:
	QString workDir;

};

}
#endif
