#norootforbuild

%define _prefix		/opt/kde3
%define _sysconfdir	/etc%{_prefix}

Name:		richclient
Version:	0.4
Release:	1
Summary:	KDE client for build.opensuse.org service
Source0:	http://api.opensuse.org/source/openSUSE:Tools/richclient/%{name}-%{version}.tar.bz2
License:	GPL
Packager:	Jonh Arson <jonharson@gmail.com>
Group:		Development/Tools/Other
URL:		http://en.opensuse.org/Build_Service/Rich_Client
Requires:	qt3 kdelibs3
BuildRequires:	kdelibs3 kdelibs3-devel qt3 qt3-devel
BuildRequires:	gcc-c++ libstdc++ libstdc++-devel
BuildRequires:	autoconf automake libtool
BuildRequires:	update-desktop-files
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
KDE client for build.opensuse.org service.

	Jonathan Arsenault <jonharson@gmail.com>
	Cornelius Schumacher <cschum@suse.de>

%debug_package
%prep
%setup -q
%{?suse_update_libdir:%{suse_update_libdir}}

%build
. /etc/opt/kde3/common_options
update_admin
./configure $configkde
make %{?jobs:-j%{jobs}}

%install
. /etc/opt/kde3/common_options
%makeinstall
kde_post_install
%suse_update_desktop_file "%{name}"
#%find_lang %{name}

%__strip \
	"%{buildroot}%{_bindir}"/* \
	"%{buildroot}%{_libdir}"/*.so.* \
	"%{buildroot}%{_libdir}/kde3"/*.so \
	2>/dev/null || :

%clean
%__rm -rf "%{buildroot}"

%files
#%files -f %{name}.lang
%defattr(-, root, root)
%doc %{_prefix}/share/doc/HTML/en/nbsui/*
%{_prefix}/share/applications/kde/%{name}.desktop
%{_prefix}/bin/%{name}

%changelog
