// C++ Interface: addPlatform
//
// Description: add platform dialog dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//
#ifndef ADDPLATFORM_H
#define ADDPLATFORM_H

#include <kdialogbase.h>

namespace nbs {
namespace dialog {

class AddPlatform : public KDialogBase {
Q_OBJECT
public:
	AddPlatform(QWidget* parent = 0, const char* name = 0);
	~AddPlatform();

	QString platformName() const;
	QString platformTarget() const;

private:
	QString name, target;

};

}}
#endif
