// C++ Interface: addUser
//
// Description: add user dialog dialog
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef ADDUSER_H
#define ADDUSER_H

#include "userdata.h"

#include <kdialogbase.h>

class KLineEdit;

namespace nbs {
namespace dialog {

class AddUser : public KDialogBase {
Q_OBJECT
public:
	AddUser(QWidget* parent = 0, const char* name = 0);
	~AddUser();

	QString userID() const;
	UserType userType() const;

private slots:
	void enableAddButton();

private:
	KLineEdit* lineEditUserID;

	QString user;
	UserType type;

};

}}
#endif
