// C++ Implementation: MiscData
//
// Description:
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#include "miscdata.h"

using namespace nbs;

/////////////////////////////////////////
// Reply Data
Reply::Reply() {
	kdDebug() << "new Reply" << endl;
}

Reply::~Reply() {
	kdDebug() << "deleted Reply" << endl;
}

void Reply::setCode(const QString& nCode) {
	code = nCode;
}

void Reply::setSummary(const QString& nSummary) {
	summary = nSummary;
}

void Reply::setDetails(const QString& nDetails) {
	details = nDetails;
}

/////////////////////////////////////////
// About Data
AboutData::AboutData() {
	kdDebug() << "new AboutData" << endl;
}

AboutData::~AboutData() {
	kdDebug() << "deleted AboutData" << endl;
}

void AboutData::setTitle(const QString& nTitle) {
	title = nTitle;
}

void AboutData::setDescription(const QString& nDescription) {
	description = nDescription;
}

void AboutData::setRevision(const QString& nRevision) {
	revision = nRevision;
}

void AboutData::addDocumentation(const QString& type, const QString& url) {
	docList.type.append(type);
	docList.url.append(url);
}

QString AboutData::getTitle() {
	return title;
}

QString AboutData::getDescription() {
	return description;
}

QString AboutData::getRevision() {
	return revision;
}

Documentation AboutData::getDocumentation() {
	return docList;
}
