// C++ Interface: Project
//
// Description: basic project interface
// not sure yet if am gonna use this
//
// Author: Jonathan Arsenault <jonharson@gmail.com>, (C) 2006-2007
//
// Copyright: See COPYING file that comes with this distribution
//

#ifndef PROJECT_H
#define PROJECT_H

#include <qstring.h>
#include <qstringlist.h>

#include <kdebug.h>

#include "repository.h"

namespace nbs {

class ProjectResult {
public:
	ProjectResult();
	~ProjectResult();

};

///////////////////////////////////////////////////
class ProjectMeta {
public:
	ProjectMeta();
	~ProjectMeta();

	void setName(const QString&);
	void setTitle(const QString&);
	void setDescription(const QString&);
	void setResult(ProjectResult);
	void setPackageListing(Directory);

	void addUser(const QString&, const QString&);

	QString getName() const;
	QString getTitle() const;
	QString getDescription() const;

	Users* getUsers();
	Directory* getPackageListing();
	ProjectResult* getResult();

private:
	QString name;
	QString title;
	QString description;

	Users projectUsers;
	Directory packageListing;
	ProjectResult projectResult;
};

}
#endif
